Package com.sas.lsaf.workflow.task

## Class CompletedJobTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.task.CompletedTask
      - - com.sas.lsaf.workflow.task.CompletedJobTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class CompletedJobTask
      extends CompletedTask

  The class that represents a completed job task in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedJobTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.util.List<Attribute> attributes, java.lang.String completedBy, java.util.Date completed, java.lang.String completedStatus, CompletedElement.TaskCompletedState completedState, java.lang.String runAsOwner, java.lang.String jobPath, java.lang.String jobDetails, java.lang.String jobVersion, java.util.List<ParameterValue> parameterValues)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCompletedStatus()` | Gets the completion status of the task.
    `java.lang.String` | `getJobDetails()` | Gets the details of the job (the description from the job XML).
    `java.lang.String` | `getJobPath()` | Gets the full path of the job.
    `java.lang.String` | `getJobVersion()` | Gets the version of the job.
    `java.util.List<ParameterValue>` | `getParameterValues()` | Gets the parameter values that were used to run the job with the task.
    `java.lang.String` | `getRunAsOwner()` | Gets the runAsOwner user as defined in the job for the task.

    - ### Methods inherited from class com.sas.lsaf.workflow.task.CompletedTask

      `getAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedJobTask

          public CompletedJobTask​(java.lang.String typeId,
                                  java.lang.String id,
                                  java.lang.String elementId,
                                  java.lang.String processFlowId,
                                  java.lang.String name,
                                  java.lang.String description,
                                  Element.ElementType type,
                                  java.util.Date created,
                                  java.util.List<Attribute> attributes,
                                  java.lang.String completedBy,
                                  java.util.Date completed,
                                  java.lang.String completedStatus,
                                  CompletedElement.TaskCompletedState completedState,
                                  java.lang.String runAsOwner,
                                  java.lang.String jobPath,
                                  java.lang.String jobDetails,
                                  java.lang.String jobVersion,
                                  java.util.List<ParameterValue> parameterValues)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed tasks returned by the API.
      Parameters:
        `typeId` - The object type identifier of the task.
        `id` - The unique identifier of the task.
        `elementId` - The identifier of the task as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the task.
        `description` - The description of the task.
        `type` - The type of the task.
        `created` - The date on which the task was created.
        `attributes` - The extended attributes of the task.
        `completedBy` - The user who completed the task.
        `completed` - The date on which the task was completed.
        `completedStatus` - The completion status of the task.
        `completedState` - The completed state of the task.
        `runAsOwner` - The runAsOwner user as defined in the job for the task.
        `jobPath` - The path of the job with the task.
        `jobDetails` - The job details as defined in the job.
        `jobVersion` - The version of the job to run with the task.
        `parameterValues` - The parameter values that were used to run the job with the task.

  - ### Method Detail

    - #### getCompletedStatus

          public java.lang.String getCompletedStatus()

      Gets the completion status of the task.
      Returns:
        The completion status.

    - #### getRunAsOwner

          public java.lang.String getRunAsOwner()

      Gets the runAsOwner user as defined in the job for the task.
      Returns:
        The runAsOwner user.

    - #### getJobPath

          public java.lang.String getJobPath()

      Gets the full path of the job.
      Returns:
        The full path.

    - #### getJobDetails

          public java.lang.String getJobDetails()

      Gets the details of the job (the description from the job XML).
      Returns:
        The details.

    - #### getJobVersion

          public java.lang.String getJobVersion()

      Gets the version of the job.
      Returns:
        The version.

    - #### getParameterValues

          public java.util.List<ParameterValue> getParameterValues()

      Gets the parameter values that were used to run the job with the task.
      Returns:
        The parameter values.